Skip to main content
GET
/
company-spend-tiers
List company spend tiers
curl --request GET \
  --url https://www.ruddr.io/api/workspace/company-spend-tiers \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "id": "b3e7c42f-91d5-4a8e-bc6f-2d053a197084",
      "name": "Enterprise",
      "amount": 50000,
      "currency": "USD",
      "isActive": true,
      "createdAt": "2025-01-15T20:47:03.284Z"
    }
  ],
  "hasMore": false
}
A tier used to categorize companies based on their annual spend.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

startingAfter
string

A cursor ID (uuid) used to request the next page of results. If not provided, defaults to the first page of results.

endingBefore
string

A cursor ID (uuid) used to request the previous page of results. Is mutually exclusive with startingAfter.

limit
integer<int32>

The maximum number of results to be returned. Can be any number from 1 to 100. Defaults to 10, if not provided.

name
string

Filter by name when it exactly matches the provided keyword.

Response

200

results
object[]
hasMore
boolean

Whether there are more results available after this page.